CGSNAPSHOT(1)

NAME

cgsnapshot - generate the configuration file for given controllers

SYNOPSIS
cgsnapshot [-h] [-s] [-t] [-b file] [-w file] [-f output_file] [controller] [...]

DESCRIPTION

cgsnapshot generates the cgconfig compatible configuration file for given controllers. If no controller is set, then cgsnapshot shows all mounted hierarchies. The output is in the same format as cgconfig.conf configuration file.

-b file
    Display only variables from blacklist. The default location of the blacklist is /etc/cgsnapshot_blacklist.conf. This list contains all variables which should be ignored by cgsnapshot tool. If the variable is blacklisted, then it will not be displayed. If it is not present on the blacklist, then the whitelist is checked.

-h, --help
    display this help and exit

-f, --file
    Redirect the output to output_file

-s, --silent
    Ignore all warnings

-t, --strict
    Do not display the variables which are not on the whitelist

-w file
    Set the blacklist configuration file. This list contains all variables which should be displayed by cgsnapshot tool. If the variable is not blacklisted then whitelist is checked. If the variable is on the whitelist, then it is displayed by cgsnapshot tool. If the variable is not on the whitelist, then the variable is displayed and warning message is produced. By default the whitelist is not used.

    The warning message can be omitted using -s, --silent flag. If -t, --strict flag is used then the variable which is not on whitelist is not displayed.

controller
    defines controller whose hierarchies will be output

FILES

/etc/cgsnapshot_blacklist.conf
    default location of the blacklist

/etc/cgsnapshot_whitelist.conf
    default location of the whitelist

/etc/cgconfig.conf
    default libcgroup configuration file

SEE ALSO
cgconfig.conf (5)